Chuyển đến nội dung
Diễn đàn CADViet
whatcholingon

[ Yêu Cầu ] Lisp tạo các Layer cho trước trong một bản vẽ mới

Các bài được khuyến nghị

Xin chào mọi người!

Mọi người viết giùm em Lsp.Khi mình mở một bản vẽ mới chỉ cần load lsp lên trong bản vẽ mới đó sẽ có các layer mà mình đã cho trước.

ví dụ như các layer : nhà, giao thông, thuỷ hệ, .....

Thanks!

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Xin chào mọi người!

Mọi người viết giùm em Lsp.Khi mình mở một bản vẽ mới chỉ cần load lsp lên trong bản vẽ mới đó sẽ có các layer mà mình đã cho trước.

ví dụ như các layer : nhà, giao thông, thuỷ hệ, .....

Thanks!

Bạn có thể dựa theo cấu trúc sau để tạo các layer cần thiết cho mình

(DEFUN C:tla() 
(setvar "cmdecho" 0)
 (COMMAND "LAYER" "M" "TIM" "C" "8" "" "L" "DASHDOT" "" "");tao layer Tim mau 8 net ve la dashdot
 (COMMAND "LAYER" "M" "KHUAT" "C" "9" "" "L" "HIDDEN" "" "")
 (COMMAND "LAYER" "M" "Text" "C" "11" "" "")
 (COMMAND "LAYER" "M" "Ghichu" "C" "2" "" "")
 (COMMAND "LAYER" "M" "1" "C" "2" "" "")
 (COMMAND "LAYER" "M" "dim" "C" "2" "" "")
 (COMMAND "LAYER" "M" "thep" "C" "6" "" "")
 (COMMAND "LAYER" "M" "dai" "C" "1" "" "")
 (COMMAND "LAYER" "M" "0" "C" "7" "" "")
 (COMMAND "LAYER" "M" "hatch" "C" "251" "" "")
 (COMMAND "LAYER" "M" "Bao chinh" "C" "4" "" "")
 (setvar "cmdecho" 1)
)

  • Vote tăng 7

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Bạn có thể dựa theo cấu trúc sau để tạo các layer cần thiết cho mình

(DEFUN C:tla() 
(setvar "cmdecho" 0)
 (COMMAND "LAYER" "M" "TIM" "C" "8" "" "L" "DASHDOT" "" "");tao layer Tim mau 8 net ve la dashdot
 (COMMAND "LAYER" "M" "KHUAT" "C" "9" "" "L" "HIDDEN" "" "")
 (COMMAND "LAYER" "M" "Text" "C" "11" "" "")
 (COMMAND "LAYER" "M" "Ghichu" "C" "2" "" "")
 (COMMAND "LAYER" "M" "1" "C" "2" "" "")
 (COMMAND "LAYER" "M" "dim" "C" "2" "" "")
 (COMMAND "LAYER" "M" "thep" "C" "6" "" "")
 (COMMAND "LAYER" "M" "dai" "C" "1" "" "")
 (COMMAND "LAYER" "M" "0" "C" "7" "" "")
 (COMMAND "LAYER" "M" "hatch" "C" "251" "" "")
 (COMMAND "LAYER" "M" "Bao chinh" "C" "4" "" "")
 (setvar "cmdecho" 1)
)

 

Qủa là tuyệt vời thanks bạn rất nhiều.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Thanks bác nhiều nhé. Lisp này rất hay. Nhưng e có một thắc mắc cái câu lệnh "(setvar "cmdecho" 1)" có nghĩa là gì vậy ạ? E không biết về lisp nhiều lắm, mong bác dạy bảo.:D

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Thanks bác nhiều nhé. Lisp này rất hay. Nhưng e có một thắc mắc cái câu lệnh "(setvar "cmdecho" 1)" có nghĩa là gì vậy ạ? E không biết về lisp nhiều lắm, mong bác dạy bảo.:D

Khi (setvar "cmdecho" 0) thì các dòng lệnh thực hiện bởi các hàm (command...) sẽ không xuất hiện trên màn hình textpage.

Khi (setvar "cmdecho" 1) thì các dòng lệnh thực hiện bởi các hàm (command...) sẽ xuất hiện trên màn hình textpage.

Để thấy rõ, bạn sử dụng lệnh trong 2 trường hợp, sau đó bấm F2 sẽ thấy ngay.

  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Xin chào mọi người!

Mọi người viết giùm em Lsp.Khi mình mở một bản vẽ mới chỉ cần load lsp lên trong bản vẽ mới đó sẽ có các layer mà mình đã cho trước.

ví dụ như các layer : nhà, giao thông, thuỷ hệ, .....

Thanks!

Cái này thấy đơn giản mà

Bạn tạo 1 bản vẽ mẫu có đầy đủ các thứ trong đó. (Layer, textstyle, dimension,...)

-> Dùng lệnh Insert -> Browse -> chọn bản vẽ mẫu -> chọn 1 điểm chèn -> là xong

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Cái này thấy đơn giản mà

Bạn tạo 1 bản vẽ mẫu có đầy đủ các thứ trong đó. (Layer, textstyle, dimension,...)

-> Dùng lệnh Insert -> Browse -> chọn bản vẽ mẫu -> chọn 1 điểm chèn -> là xong

Cám ơn bạn. cái này mình cũng đã làm rui. và cả cách mình save as sang đuôi .dwt nữa rùi. nhưng sau khi làm thì thấy: nếu tạo ít bản vẽ mới thì cũng được. nhưng khi tạo nhiều thì thấy bất tiện. nên mình mới kêu cứu mọi ngươi viết giùm lsp để mình đưa vào mục : "Contents..." khi nào mở cad thì nó sẽ có đầy đủ layer cho mình luôn.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

mình có người gửi cho cái bộ lsp và cả .mns, mnr... sau đó đưa vào mục Support của cad cad r14) sau khi chuyển qua cái .mns thì nó sẽ chuyển qua phần tiếng việt ở menu bar sau đầu tiên thì chỉ có layer "0" sau khi chạy tỷ lệ nó sẽ xuất hiện các layer khac.

mình đưa video lên mọi người xem nhé.

DOWLOAD

 

Bạn nào biết làm cách nào để làm được như vậy chỉ mình với.

Thanks!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Không ai có ý kiến gì nhỉ. :unsure: :unsure: <_< :(

Thực ra cũng có khác gì bạn dùng lisp đâu nhỉ.Bạn mở cad lên bạn gõ lệnh TLA ( như lisp mình gửi trên) thì cũng được cái yêu cầu của bạn.Nếu bạn muốn giống video thì bạn chỉ đổi lệnh TLA thành "tyle" là được thôi.Mà có cần thiết vậy ko cơ chứ

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Cái này thấy đơn giản mà

Bạn tạo 1 bản vẽ mẫu có đầy đủ các thứ trong đó. (Layer, textstyle, dimension,...)

-> Dùng lệnh Insert -> Browse -> chọn bản vẽ mẫu -> chọn 1 điểm chèn -> là xong

 

 

Ph.An' đó chưa hay vì không thể khởi tạo đc bộ lọc Filter của bảng Layer Properties Manager . Bộ lọc Filter đc thiết lập sẵn sẽ rất hữu dụng khi phải quản lý trên 100 layer , nhiều khi đến tận 500 ( 1 tòa nhà cao tầng sẽ có đến 8 bộ môn Công Trình + 6 bộ môn Quy Hoạch .... chưa thèm tính đến nội thất nha )

- Mình vẫn phải lấy 1 file mẫu làm nền khi khởi tạo 1 bản vẽ mới , hay copy toàn bộ sang file mâu~ rồi tiêp tục làm

- Có bạn nào viết đc Lisp khởi tạo Layer & các Bộ lọc Filter chưa ? Mình dang cần học chiêu đó lắm

 

Thank all Pro

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Ph.An' đó chưa hay vì không thể khởi tạo đc bộ lọc Filter của bảng Layer Properties Manager . Bộ lọc Filter đc thiết lập sẵn sẽ rất hữu dụng khi phải quản lý trên 100 layer , nhiều khi đến tận 500 ( 1 tòa nhà cao tầng sẽ có đến 8 bộ môn Công Trình + 6 bộ môn Quy Hoạch .... chưa thèm tính đến nội thất nha )

- Mình vẫn phải lấy 1 file mẫu làm nền khi khởi tạo 1 bản vẽ mới , hay copy toàn bộ sang file mâu~ rồi tiêp tục làm

- Có bạn nào viết đc Lisp khởi tạo Layer & các Bộ lọc Filter chưa ? Mình dang cần học chiêu đó lắm

 

Thank all Pro

Mình ít vẽ nhưng cũng nói luôn : nếu ai cố gắng quản lý 100 -> 500 layer, tất cả các bộ môn công trình trên cùng 1 bản vẽ thì đã làm 1 việc cực kỳ ngớ ngẩn (nói thật bạn đừng giận nha ^^)

- Lisp bạn cần trên diễn đàn có hàng nghìn người viết được, nhưng để lên tới 1 con số lớn thế thì tốt nhất bạn dùng file mẫu là hay hơn ^^ Tốc độ load file mẫu chắc chắn nhanh hơn bạn ngồi dùng lisp tạo layer. Và bạn cũng nhớ thêm Layer Filter đôi khi là khởi nguồn của những bản vẽ ... nặng vô cớ

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Mình ít vẽ nhưng cũng nói luôn : nếu ai cố gắng quản lý 100 -> 500 layer, tất cả các bộ môn công trình trên cùng 1 bản vẽ thì đã làm 1 việc cực kỳ ngớ ngẩn (nói thật bạn đừng giận nha ^^)

- Lisp bạn cần trên diễn đàn có hàng nghìn người viết được, nhưng để lên tới 1 con số lớn thế thì tốt nhất bạn dùng file mẫu là hay hơn ^^ Tốc độ load file mẫu chắc chắn nhanh hơn bạn ngồi dùng lisp tạo layer. Và bạn cũng nhớ thêm Layer Filter đôi khi là khởi nguồn của những bản vẽ ... nặng vô cớ

Tôi chẳng thể nào giận bạn đc , đơn giản vì bạn ko hiểu rõ công việc của tôi . Bạn ko ở địa vị của tôi , ko fải chịu trách nhiệm trong khâu quản lý chất lượng hồ sơ về mặt thể hiện + in ấn . Bạn đã bao h fải quản lý việc giải quyết các thao tác các việc làm thừa của khoảng 50 con ng , để sao cho các việc làm lặp đi lặp lại của họ trở nên thông nhất và tự động theo 1 ISO chưa ? Có làm đc điều đó thì hồ sơ của các bộ môn mới theo ISO của cty đc

Tôi đã tạo ra 1 file CAD có "ngân hàng Layer" là 1 bảng Layer chứa có khoảng .... 500 Layer cho tất cả các bộ môn . Các Layer đó đc đặt tên theo nhưng quy luật rõ ràng nhằm fục vụ cho mọi tư duy của ng` vẽ khi nghĩ về vấn đề Layer . Và tất nhiên đã là ISO thì tôi cũng quản lý truóc luôn cả Lineweight , Linetype , Color . Vậy đương nhiên fải có 1 loạt các bộ Filter fục vụ cho nhiêu bộ môn , mõi 1 bộ môn lại cần nhiều Filter cho nhiều mục đích công việc khác nhau . Bình thường thì mọi ng không tạo ra Layer mới làm gì vì tôi đã tạo truớc và quản lý truớc rồi . Nhưng việc họ Copy & Paste dữ liệ từ 1 thư viện hay dự án tham khảo là ko tránh đc .Đó là lúc mà bộ lọc InvertFilter của bảng Layer sẽ lọc ra những Layer ko có đuôi mang tên cty tôi để chính ng vẽ kiểm soát các layer đó . Nhưng có 1 vấn đề là các dự án kéo dài hàng năm truớc cả khi tôi tao ra ISO về quản lý layer lại ko có layer nao trong bộ ISO của tôi ( vì nếu đạt tên layer theo kiểu các DA đó thì ...loạn , quản lý mất nhiều nhân lực + thời gian )Nên tôi mới mong các Pro chỉ cho cách viết 1 Lisp khởi tạo các layer mới và khởi tạo luôn cả bộ lọc Filter bất kỳ theo ý đồ nào đó trong từng file của DA cũ . Để đỡ mất công Copy & paste toàn bộ nội dung 1 file cũ sang file ISO layer rồi Merge layer cũ vào layer ISO. Copy & paste nhiều mất time quá. Thank all coment

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tôi chẳng thể nào giận bạn đc , đơn giản vì bạn ko hiểu rõ công việc của tôi . Bạn ko ở địa vị của tôi , ko fải chịu trách nhiệm trong khâu quản lý chất lượng hồ sơ về mặt thể hiện + in ấn . Bạn đã bao h fải quản lý việc giải quyết các thao tác các việc làm thừa của khoảng 50 con ng , để sao cho các việc làm lặp đi lặp lại của họ trở nên thông nhất và tự động theo 1 ISO chưa ? Có làm đc điều đó thì hồ sơ của các bộ môn mới theo ISO của cty đc

Tôi đã tạo ra 1 file CAD có "ngân hàng Layer" là 1 bảng Layer chứa có khoảng .... 500 Layer cho tất cả các bộ môn . Các Layer đó đc đặt tên theo nhưng quy luật rõ ràng nhằm fục vụ cho mọi tư duy của ng` vẽ khi nghĩ về vấn đề Layer . Và tất nhiên đã là ISO thì tôi cũng quản lý truóc luôn cả Lineweight , Linetype , Color . Vậy đương nhiên fải có 1 loạt các bộ Filter fục vụ cho nhiêu bộ môn , mõi 1 bộ môn lại cần nhiều Filter cho nhiều mục đích công việc khác nhau . Bình thường thì mọi ng không tạo ra Layer mới làm gì vì tôi đã tạo truớc và quản lý truớc rồi . Nhưng việc họ Copy & Paste dữ liệ từ 1 thư viện hay dự án tham khảo là ko tránh đc .Đó là lúc mà bộ lọc InvertFilter của bảng Layer sẽ lọc ra những Layer ko có đuôi mang tên cty tôi để chính ng vẽ kiểm soát các layer đó . Nhưng có 1 vấn đề là các dự án kéo dài hàng năm truớc cả khi tôi tao ra ISO về quản lý layer lại ko có layer nao trong bộ ISO của tôi ( vì nếu đạt tên layer theo kiểu các DA đó thì ...loạn , quản lý mất nhiều nhân lực + thời gian )Nên tôi mới mong các Pro chỉ cho cách viết 1 Lisp khởi tạo các layer mới và khởi tạo luôn cả bộ lọc Filter bất kỳ theo ý đồ nào đó trong từng file của DA cũ . Để đỡ mất công Copy & paste toàn bộ nội dung 1 file cũ sang file ISO layer rồi Merge layer cũ vào layer ISO. Copy & paste nhiều mất time quá. Thank all coment

- Lisp bạn cần trên diễn đàn có hàng nghìn người viết được, nhưng để lên tới 1 con số lớn thế thì tốt nhất bạn dùng file mẫu là hay hơn ^^ Tốc độ load file mẫu chắc chắn nhanh hơn bạn ngồi dùng lisp tạo layer. Và bạn cũng nhớ thêm Layer Filter đôi khi là khởi nguồn của những bản vẽ ... nặng vô cớ

- Mình không phải vẽ nhiều không đồng nghĩa với việc k chịu trách nhiệm về ISO của công ty + quản lý chất lượng in ấn :rolleyes:

- Với 50 con người, bạn cần 1 buổi nói chuyện, sau đó, nếu vẫn còn thể hiện các bản vẽ với layer thừa, quy cách không theo tiêu chuẩn của công ty, bạn có thể nghĩ đến năng lực của người đó -_-

- Với những file đã tạo trước đó rồi, bạn có thể cần Laytrans, laymrg...

- Về tiêu chí của box, yêu cầu của bạn không thể thực hiện được nếu chỉ nói qua loa vậy, mời bạn đọc Quy định ở chữ ký của mình :)

- P/s : việc import ở ADcenter hoặc sử dụng file DWT không hề chậm hơn Lisp đâu . Bạn có thể thay yêu cầu tạo toàn bộ Layer bằng yêu cầu import file template ^^

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

lisp về layer đó không có độ dày các  nét  bác  cd2k44 ơi? bắc sửa lại cho e với được không, e không biết gì về code hihi

Để thêm độ dày nét vẽ bạn làm theo cấu trúc sau

(COMMAND "LAYER" "M" "TIM" "C" "8" "" "L" "DASHDOT" "" "LW" "2" "" ""); độ dày nét vẽ 2.00 mm nhé bạn

  • Vote tăng 3

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

i thực sự e đọc được câu trả lời của bác cd2k44 mà e có cảm giác quá hạnh phúc, e tim mãi không ra hehe cảm ơn bác nhiều nhiều

Vậy mà cd2k44 không nhận được 1 click "+" nào cả.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Có cần thiết phải vòi vĩnh thế không bạn? Người ta đã cảm ơn rất chân thành rồi mà. 

Mình vẫn luôn thắc mắc về vấn đề này, thấy nhiều người quá nặng nề về chuyện "Danh tiếng" ảo dẫn đến tâm lý không thoải mái trong các trao đổi. đôi khi mình có cảm giác người ta còn tự ái khi mình không nhấn cái nút đó. Diễn đàn còn bị giới hạn số lần nhấn nút nữa. đâu phải lúc nào cũng nhấn được đâu.

Danh tiếng để làm gì khi mà mình thấy nhiều người có được nó rất đơn giản bằng những bài viết chỉ mang tính chất tán gẫu, chuyện phiếm.

Mình thì chỉ coi cái nút ấy như là 1 công cụ để mình thông báo với người mình đang trao đổi rằng "Tôi đã đọc bài viết của bạn" , sau khi diễn đàn nâng cấp thì chức năng này không còn, hơi đáng tiếc! Còn nếu thực sự muốn cảm ơn người ta đã giúp đỡ, hãy nói 1 cách chân thành, tử tế như bạn ở bên trên sẽ hay hơn.

 

Tất nhiên đó là quan điểm riêng của tôi, bạn có thể chọn 1 trong 2 cách để tỏ lòng cảm ơn. nhưng nếu người ta đã nói cảm ơn chân thành rồi thì không nên vòi vĩnh thêm một nút bấm. Điều đó hơi quá đáng!

  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

ó cần thiết phải vòi vĩnh thế không bạn? Người ta đã cảm ơn rất chân thành rồi mà. 

Mình vẫn luôn thắc mắc về vấn đề này, thấy nhiều người quá nặng nề về chuyện "Danh tiếng" ảo dẫn đến tâm lý không thoải mái trong các trao đổi. đôi khi mình có cảm giác người ta còn tự ái khi mình không nhấn cái nút đó. Diễn đàn còn bị giới hạn số lần nhấn nút nữa. đâu phải lúc nào cũng nhấn được đâu.

Danh tiếng để làm gì khi mà mình thấy nhiều người có được nó rất đơn giản bằng những bài viết chỉ mang tính chất tán gẫu, chuyện phiếm.

Mình thì chỉ coi cái nút ấy như là 1 công cụ để mình thông báo với người mình đang trao đổi rằng "Tôi đã đọc bài viết của bạn" , sau khi diễn đàn nâng cấp thì chức năng này không còn, hơi đáng tiếc! Còn nếu thực sự muốn cảm ơn người ta đã giúp đỡ, hãy nói 1 cách chân thành, tử tế như bạn ở bên trên sẽ hay hơn.

 

Tất nhiên đó là quan điểm riêng của tôi, bạn có thể chọn 1 trong 2 cách để tỏ lòng cảm ơn. nhưng nếu người ta đã nói cảm ơn chân thành rồi thì không nên vòi vĩnh thêm một nút bấm. Điều đó hơi quá đáng!

Đồng ý và... không đồng ý.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Cảm ơn bạn vì bài viết hữu ích, tuy nhiên bạn có thể giúp mình thêm một nội dung nữa vào lisp : ngoài các layer đã được chỉ định về quy cách, tất cả các layer còn lại mình muốn quy định chung cho nó về độ dày nét vẽ khi in.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Bên trên tác giả có nói rồi kìa, thêm "L" "độ dầy"

Cảm ơn bạn vì bài viết hữu ích, tuy nhiên bạn có thể giúp mình thêm một nội dung nữa vào lisp : ngoài các layer đã được chỉ định về quy cách, tất cả các layer còn lại mình muốn quy định chung cho nó về độ dày nét vẽ khi in.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Mà các bác có thể gộp luôn dimstyle vs textstyle vào luôn k?

Như thế tiện hơn :P

 

Vấn đề của bạn đã được đề cập đến trong diễn đàn rồi bạn à, bạn làm theo cách này cũng được:

 

 

;;; Khoi tao Layer ;;;

(defun newlay(a b c d) 

(if (not (tblsearch "layer" a)) (command "-layer" "n" a "c" b a "l" c a "lw" d a "")

(command "-layer" "s" a "c" b a "l" c a "lw" d a "")))

;;; Sau do cu viet theo nhu cau: (newlay "name" color "laytype" lineweight), Vi du:

(defun C:laykt()

(newlay "KT-TRUC" 2 "CENTER2" 0.13)

(newlay "KT-BAO" 2 "CONTINUOUS" 0.30)

.....................................................

(prompt "\nBao cao da khoi tao he thong LAYER can thiet\n"))

 

;;; Khoi Textstyle ;;;

(command "style" "stylename" "fontname" "height" "width factor" "" "" "" "")

;;; Vi du:

(defun C:stext()

(command "style" "Standard" "simplex.shx,bigfont.shx" "0" "0.75" "" "" "" "")

.............................................................................

(prompt "\nBao cao da khoi tao to hop template TEXT STYLE can thiet\n"))

 

;;; Khoi Dimstyle ;;;

(defun C:sdim()

(C:stext)

(setvar "DIMBLK" "_Open")

(setvar "DIMLDRBLK" "_Open")

(setvar "DIMCLRD" 0)

(setvar "DIMCLRE" 0)

(setvar "DIMCLRT" 0)

(setvar "DIMCEN" 0)

(setvar "DIMDLI" 7)

(setvar "DIMEXO" 1)

(setvar "DIMEXE" 1)

(setvar "DIMSCALE" 50)

(setvar "DIMTXSTY" "Standard")

(setvar "DIMDSEP" ".")

(setvar "DIMALTD" 0)

(setvar "DIMTMOVE" 2)

(setvar "DIMAUNIT" 1)

(setvar "DIMTXT" 3.5)

(setvar "DIMADEC" 3)

(setvar "DIMTIX" 1)

(setvar "DIMASZ" 2)

(setvar "DIMDEC" 0)

(setvar "DIMGAP" 1)

(setvar "DIMLFAC" 0.4) (command "-dimstyle" "s" "KT-50-20")

(setvar "DIMLFAC" 2) (command "-dimstyle" "s" "KT-50-100")

(setvar "DIMLFAC" 0.2) (command "-dimstyle" "s" "KT-50-10")

(setvar "DIMLFAC" 0.6) (command "-dimstyle" "s" "KT-50-30")

(setvar "DIMLFAC" 1) (command "-dimstyle" "s" "KT-50")

(prompt "\nBao cao da khoi tao to hop template DIMMENSION STYLE can thiet\n"))

 

;;; Cac bien he thong ban tu nghien cuu nhe! ;;;

 

Goodluck!

  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Thanks bài viết ứng dụng hay thật. Bản vẽ cũ đổi layer là thuộc tính đổi theo luôn. Có 1 vấn đề mình quan tâm là nếu màu layer là ByLayer thì khi dùng lisp màu layer sẽ đổi theo. Nhưng nếu màu layer là Red, Yellow, Green.... thì khi dùng lisp màu layer cũ không đổi theo được. Ai có thể giúp mình không?  thanks

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×